UpdateStatement (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.cql3.statements

## Class UpdateStatement

- java.lang.Object
- - org.apache.cassandra.cql3.statements.ModificationStatement
  - - org.apache.cassandra.cql3.statements.UpdateStatement

- All Implemented Interfaces:
    CQLStatement, MeasurableForPreparedCache

      public class UpdateStatement
      extends ModificationStatement

  An `UPDATE` statement parsed from a CQL query statement.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `UpdateStatement.ParsedInsert`
    `static class` | `UpdateStatement.ParsedUpdate`

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.cql3.statements.ModificationStatement

      `ModificationStatement.Parsed, ModificationStatement.StatementType`

  - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.cql3.statements.ModificationStatement

      `attrs, cfm, processedKeys, type`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addUpdateForKey(ColumnFamily cf, java.nio.ByteBuffer key, Composite prefix, UpdateParameters params)`
    `boolean` | `requireFullClusteringKey()`

    - ### Methods inherited from class org.apache.cassandra.cql3.statements.ModificationStatement

      `addCondition, addConditions, addKeyValue, addOperation, buildCasResultSet, buildPartitionKeyNames, checkAccess, columnFamily, createClusteringPrefix, execute, executeInternal, executeWithCondition, getBoundTerms, getColumnsWithConditions, getFirstEmptyKey, getOperations, getTimestamp, getTimeToLive, hasConditions, hasIfExistCondition, hasIfNotExistCondition, isCounter, isTimestampSet, keyspace, makeUpdateParameters, measureForPreparedCache, processWhereClause, readRequiredRows, requiresRead, setIfExistCondition, setIfNotExistCondition, validate, validateWhereClauseForConditions`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### requireFullClusteringKey

          public boolean requireFullClusteringKey()

      Specified by:
        `requireFullClusteringKey` in class `ModificationStatement`

    - #### addUpdateForKey

          public void addUpdateForKey(ColumnFamily cf,
                             java.nio.ByteBuffer key,
                             Composite prefix,
                             UpdateParameters params)
                               throws InvalidRequestException

      Specified by:
        `addUpdateForKey` in class `ModificationStatement`
      Throws:
        `InvalidRequestException`

Copyright © 2014 The Apache Software Foundation